Bug 966357 - Eclipse with Autotools and pkg-config project doesn't build
Eclipse with Autotools and pkg-config project doesn't build
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Johnston
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 02:58 EDT by gareth foster
Modified: 2016-07-19 06:13 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:13:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gareth foster 2013-05-23 02:58:38 EDT
Description of problem:
There's an upstream description here.

http://code.google.com/p/pkg-config-support-for-eclipse-cdt/issues/detail?id=12

The pkg-config libs and includes are added to the project, but don't seem to be added to the actual makefiles, and so the project doesn't build.

Very annoying as this would allow people to write Gnome apps in C, C++ and Java so much more easily.

Version-Release number of selected component (if applicable):
Latest

How reproducible:
Always

Steps to Reproduce:
1. Create C/C++ Autotools project
2. Add a dependency on GTK+3
3. Try to include gtk.h

Actual results:
Building project fails.

Expected results:
It works.

Additional info:
Upstream bug report http://code.google.com/p/pkg-config-support-for-eclipse-cdt/issues/detail?id=12
Comment 1 Alexander Kurtakov 2014-11-13 05:24:26 EST
Jeff, would you please take a look at this one.
Comment 2 Jeff Johnston 2014-11-14 12:59:43 EST
An Autotools project does not automatically manage the Autotool files for you as in the case of a Managed Make project which forms the Makefile on your behalf.  The Makefile is under control of the appropriate Makefile.am/Makefile.in files.

The pkg-config plug-in could conceivably set flags for the configuration that the Makefile.am could use (for example CFLAGS=xxxx, CXXFLAGS=xxxx) which is how Autotools adds options for gcov, gprof, and debugging (see Project Properties->Autotools->Configure Settings->Advanced).  This could be used to add include and library paths for the build, assuming the Makefile.in follows normal C/C++ protocol for compilation/linking.  This might require some consultation as the current exposed APIs might not be sufficient.

Otherwise, the pkg-config plug-in would need to make the Autotool file changes itself.
Comment 3 Jaroslav Reznik 2015-03-03 11:53:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Fedora End Of Life 2016-07-19 06:13:28 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.